''***************************
''* Propeller Template V1.0 *
''*  Author: Peter Quello   *
''*  Started: 18 JUN 2006   *
''***************************

CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000
  sout_lt       = 27
  sin_lt        = 26
  own           = "!"
  therm         = "@"
  entry         = "#"
  reset         = "$"
  propane       = "%"
  ping          = "^"
  light0        = "&"
  light1        = "*"
  light2        = "`"
  light3        = "~"
  light4        = "+"
  on            = 1
  off           = 0
  sig           = ""   
VAR
  byte  cmd, data, ident
  long  stack[5] 
OBJ
  lcd   :       "intellilcd"
  comm  :       "serial comm"
PUB Start
  lcd.start(0, 1)
  comm.start(sin_lt, sout_lt)
  cognew(check(own), @stack)
  
  
PRI Check(_id)
  repeat
    data := comm.receivecheck
    if data := _id
      ident := sig
  return
  
PRI Pause(ms) | clkcycles, millisec
  waitcnt(clkfreq / 1000 * ms + cnt)
  return 